
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//
//  "uirCommandListStatus.h"
//
//  Declaration and include file for UI build functions
//

//  Date: 11-07-2004
//

//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------

#ifndef _UIRCOMMANDLISTSTATUS_INCLUDED
#define _UIRCOMMANDLISTSTATUS_INCLUDED

#ifdef __cplusplus
    extern "C" {            /* Assume C declarations for C++ */
#endif  /* __cplusplus */

//----------------------------------------------------------------------------------------------------
//  Include required headers
//----------------------------------------------------------------------------------------------------

#include <cvidef.h> // definition of CVICALLBACK

//----------------------------------------------------------------------------------------------------
//  Prototype UI build functions.
//----------------------------------------------------------------------------------------------------

int buildCmdListStatusPanel (int hParentPanel);
int buildCmdListStatusMenu (int hParentPanel);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: CLISTP
// ------------------------------------------------------------------------------------------------

// Control: CLISTP_LIST_FILE
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_SEND_LIST
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_NUM_OF_LIST_REP
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_EDIT_CLIST
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_RESET_CMDREP
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_RESET_REP_LIST_NUM
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_RESUME_CTRL_THREAD
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_RESET_CTRL_THREAD
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: CSTAT_MENU
// ------------------------------------------------------------------------------------------------

// Menu: CLEAR_STATUS_WINDOW
void CVICALLBACK commandStatusMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: OPEN_STATUS_FILE
void CVICALLBACK commandStatusMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: CMD_LIST_EDITOR
void CVICALLBACK commandStatusMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: CLOSE_WINDOW
void CVICALLBACK commandStatusMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);


//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  CLISTP
// ------------------------------------------------------------------------------------------------

extern int CLISTP_COMMAND_RING                      ;     // control identifier
extern int CLISTP_HOST_INDEX                        ;     // control identifier
extern int CLISTP_LIST_FILE                         ;     // control identifier
extern int CLISTP_SEND_LIST                         ;     // control identifier
extern int CLISTP_NUM_COMMANDS                      ;     // control identifier
extern int CLISTP_COMMAND_INDEX                     ;     // control identifier
extern int CLISTP_CMDREP                            ;     // control identifier
extern int CLISTP_CMDREP_COUNT                      ;     // control identifier
extern int CLISTP_LIST_REP_COUNTER                  ;     // control identifier
extern int CLISTP_NUM_OF_LIST_REP                   ;     // control identifier
extern int CLISTP_EDIT_CLIST                        ;     // control identifier
extern int CLISTP_RESET_CMDREP                      ;     // control identifier
extern int CLISTP_RESET_REP_LIST_NUM                ;     // control identifier
extern int CLISTP_STOPPED                           ;     // control identifier
extern int CLISTP_BUSY                              ;     // control identifier
extern int CLISTP_STATUS_BOX                        ;     // control identifier
extern int CLISTP_IF_ERROR                          ;     // control identifier
extern int CLISTP_RESUME_CTRL_THREAD                ;     // control identifier
extern int CLISTP_RESET_CTRL_THREAD                 ;     // control identifier
extern int CLISTP_DECORATION_12                     ;     // control identifier
extern int CLISTP_DECORATION                        ;     // control identifier
extern int CLISTP_TEXTMSG_3                         ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  CSTAT_MENU
// ------------------------------------------------------------------------------------------------

extern int CSTAT_MENU_CLEAR_STATUS_WINDOW           ;     // menu identifier
extern int CSTAT_MENU_OPEN_STATUS_FILE              ;     // menu identifier
extern int CSTAT_MENU_CMD_LIST_EDITOR               ;     // menu identifier
extern int CSTAT_MENU_CLOSE_WINDOW                  ;     // menu identifier

#ifdef __cplusplus
    }
#endif

#endif // _UIRCOMMANDLISTSTATUS_INCLUDED